Bug 218593 - CVE-2006-5871 smbfs uid/gid/mode mount opts ignored
Summary: CVE-2006-5871 smbfs uid/gid/mode mount opts ignored
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,source=vendorsec,reported=...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-06 10:51 UTC by Marcel Holtmann
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-08 00:13:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcel Holtmann 2006-12-06 10:51:48 UTC
The smbfs kernel module do not honor uid, gid, file_mode and dir_mode supplied
by user during mount.

http://linux.bkbits.net:8080/linux-2.6/cset@41752f820crlhkG3FzR1EMmg1OxskA

Comment 1 Don Howard 2006-12-08 00:13:49 UTC
This error is not present in RHEL 2.1.  uid, gid, fmask, and dmask are all
honored correctly on both pensacola and derry.  


Note You need to log in before you can comment on or make changes to this bug.